## firmware-nonfree 20251125

=== debian/changelog ===
firmware-nonfree (20251125-1) unstable; urgency=medium

  [ Kathara Sasikumar ]
  * New upstream version:
    - amdgpu: add vce1 firmware
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: update aldebaran firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update GC 10.3.6 firmware
    - amdgpu: update GC 11.0.0 firmware
    - amdgpu: update GC 11.0.1 firmware
    - amdgpu: update GC 11.0.2 firmware
    - amdgpu: update GC 11.0.3 firmware
    - amdgpu: update GC 11.0.4 firmware
    - amdgpu: update GC 11.5.0 firmware
    - amdgpu: update GC 11.5.1 firmware
    - amdgpu: update GC 11.5.2 firmware
    - amdgpu: update GC 11.5.3 firmware
    - amdgpu: update GC 12.0.0 firmware
    - amdgpu: update GC 12.0.1 firmware
    - amdgpu: update GC 9.4.3 firmware
    - amdgpu: update GC 9.4.4 firmware
    - amdgpu: update GC 9.5.0 firmware
    - amdgpu: update green sardine firmware
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update PSP 13.0.0 firmware
    - amdgpu: update PSP 13.0.0 kicker firmware
    - amdgpu: update PSP 13.0.10 firmware
    - amdgpu: update PSP 13.0.11 firmware
    - amdgpu: update PSP 13.0.12 firmware
    - amdgpu: update PSP 13.0.14 firmware
    - amdgpu: update PSP 13.0.4 firmware
    - amdgpu: update PSP 13.0.5 firmware
    - amdgpu: update PSP 13.0.6 firmware
    - amdgpu: update PSP 13.0.7 firmware
    - amdgpu: update PSP 14.0.0 firmware
    - amdgpu: update PSP 14.0.1 firmware
    - amdgpu: update PSP 14.0.2 firmware
    - amdgpu: update PSP 14.0.3 firmware
    - amdgpu: update PSP 14.0.4 firmware
    - amdgpu: update PSP 14.0.5 firmware
    - amdgpu: update renoir firmware
    - amdgpu: update SDMA 4.4.2 firmware
    - amdgpu: update SDMA 6.0.3 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update SMU 13.0.0 firmware
    - amdgpu: update smu 13.0.0 kicker firmware
    - amdgpu: update SMU 13.0.10 firmware
    - amdgpu: update smu 13.0.7 firmware
    - amdgpu: update SMU 14.0.2 firmware
    - amdgpu: update SMU 14.0.3 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update VCN 3.1.2 firmware
    - amdgpu: update VCN 4.0.0 firmware
    - amdgpu: update VCN 4.0.2 firmware
    - amdgpu: update VCN 4.0.3 firmware
    - amdgpu: update VCN 4.0.4 firmware
    - amdgpu: update VCN 4.0.5 firmware
    - amdgpu: update VCN 4.0.6 firmware
    - amdgpu: update VCN 5.0.0 firmware
    - amdgpu: update VCN 5.0.1 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update yellow carp firmware
    - ASoC: tas2781: Add more symbol links on SPI devices
    - cirrus: cs35l57: Add firmware for a few Dell products
    - iwlwifi: add Sc/Wh FW for core98-181 release
    - mediatek MT7922: update bluetooth firmware to 20251118163447
    - mt76: add firmware for MT7990
    - mt76: update firmware for MT7992
    - mt76: update firmware for MT7996
    - QCA: Add Bluetooth firmware for WCN685x uart interface
    - qcom: Add ADSP firmware for qcs6490-thundercomm-rubikpi3
    - qcom: add ADSP, CDSP firmware for sm8750 platform
    - qcom: Add sdx35 Foxconn vendor firmware image file
    - qcom: update ADSP, CDSP firmware for kaanapali
      platform, change the license
    - qcom: Update aic100 firmware files
    - qcom: venus-5.4: remove unused firmware file
    - qcom: venus-5.4: update firmware binary for v5.4
    - Revert "amdgpu: update GC 11.0.1 firmware"
    - rtl_bt: Update RTL8852B BT USB FW to 0x42D3_4E04
    - rtl_nic: add firmware rtl9151a-1
    - update firmware for MT7922 WiFi device

  [ Dmitry Baryshkov ]
  * debian/copyright: drop firmware for Qualcomm QDU100 (Closes: #1126794)
  * d/copyright: add entry for Qualcomm audio topologies (Closes: #1126846)
  * d/copyright: correct licence for QCA6698 BT firmware
  * d/copyright: correct licence for qcom/qcs8300 DSP files
  * d/bin/gencontrol.py: handle Depends in addition to other fields
  * debian/: skip files picked up by hexagon-dsp-binaries

  [ Ben Hutchings ]
  * d/watch: Convert to version 5 format

 -- Ben Hutchings <benh@debian.org>  Tue, 03 Feb 2026 21:33:39 +0100

## firmware-nonfree 20260110

=== Makefile ===
# SPDX-License-Identifier: CC0-1.0

FIRMWAREDIR = /lib/firmware
NUM_JOBS := $(or $(patsubst -j%,%,$(filter -j%,$(MAKEFLAGS))),\
		 1)

all:

check:
	@if ! command -v pre-commit >/dev/null; then \
		echo "Install pre-commit to check files"; \
		exit 1; \
	fi
	@pre-commit run --all-files

dist:
	@mkdir -p release dist
	./copy-firmware.sh release
	@TARGET=linux-firmware_`git describe`.tar.gz; \
	cd release && tar -czf ../dist/$${TARGET} *; \
	echo "Created dist/$${TARGET}"
	@rm -rf release

deb:
	./build_packages.py --deb

rpm:
	./build_packages.py --rpm

dedup:
	./dedup-firmware.sh $(DESTDIR)$(FIRMWAREDIR)

install:
	@if [ -n "${COPYOPTS}" ]; then \
		echo "COPYOPTS is not used since linux-firmware-20241017!"; \
		echo "You may want to use install{-xz,-zst} and dedup targets instead"; \
		false; \
	fi
	install -d $(DESTDIR)$(FIRMWAREDIR)
	./copy-firmware.sh -j$(NUM_JOBS) $(DESTDIR)$(FIRMWAREDIR)
	@echo "Now run \"make dedup\" to de-duplicate any firmware files"

install-xz:
	install -d $(DESTDIR)$(FIRMWAREDIR)
	./copy-firmware.sh -j$(NUM_JOBS) --xz $(DESTDIR)$(FIRMWAREDIR)
	@echo "Now run \"make dedup\" to de-duplicate any firmware files"

install-zst:
	install -d $(DESTDIR)$(FIRMWAREDIR)
	./copy-firmware.sh -j$(NUM_JOBS) --zstd $(DESTDIR)$(FIRMWAREDIR)
	@echo "Now run \"make dedup\" to de-duplicate any firmware files"

clean:
	rm -rf release dist

=== debian/changelog ===
firmware-nonfree (20260110-1) unstable; urgency=medium

  * d/copyright: Add more copyright notices for some Qualcomm Atheros firmware
  * New upstream version:
    - Add firmware file for Intel Scorpius core
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: Update dcn314, dcn315 firmware to 0.1.42.0
    - ath10k: QCA4019 hw1.0: update board-2.bin
    - ath10k: QCA9888 hw2.0: update board-2.bin
    - ath10k: WCN3990 hw1.0: update board-2.bin
    - ath11k: QCA2066 hw2.1: update board-2.bin
    - ath11k: QCA6698AQ hw2.1: update to
      WLAN.HSP.1.1-04866-QCAHSPSWPL_V1_V2_SILICONZ_IOE-1
    - cirrus: cs35l41: Add support for new HP Clipper laptop
    - cirrus: cs35l41: Add support for new HP laptops
    - cirrus: cs35l41: Update firmware and tuning for various HP laptops
    - i915: Xe3LPD DMC v2.33
    - i915: Xe3LPD_3002 DMC v2.28
    - i915: Xe3p_LPD DMC v2.33
    - intel_vpu: Add firmware for 50xx NPUs and update older ones
    - intel_vpu: Update NPU firmware
    - iwlwifi: add Bz/Sc FW for core101-82 release
    - iwlwifi: Add Sc/Gf firmware for core101-82 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core101-82 release
    - iwlwifi: update ty/So/Ma firmwares for core101-82 release
    - mediatek MT7920: update bluetooth firmware to 20260105151350
    - mediatek MT7922: update bluetooth firmware to 20260106153735
    - mediatek MT7925: update bluetooth firmware to 20251124093155
    - mediatek MT7925: update bluetooth firmware to 20251210093205
    - mediatek MT7925: update bluetooth firmware to 20260106153314
    - QCA: Add Bluetooth firmware for QCC2072 uart interface
    - qca: Update Bluetooth WCN6750 1.1.3-00100 firmware to 1.1.3-00105
    - qcom: Add firmwares for sm8150 GPU
    - qcom: Add firmwares for sm8450 GPU
    - qcom: Add firmwares for sm8550 GPU
    - qcom: Add firmwares for sm8650 GPU
    - qcom: Add firmwares for sm8750 GPU
    - qcom: drop compatibility a640_zap.mdt symlink
    - qcom: Update aic100 firmware files
    - qcom: venus-5.4: fix ELF segment alignment to 4 bytes
    - qcom: vpu: update video firmware binary for SM8250
    - Reapply "amdgpu: update SMU 14.0.3 firmware"
    - Revert "amdgpu: update GC 10.3.6 firmware"
    - Revert "amdgpu: update GC 11.5.0 firmware"
    - Revert "amdgpu: update GC 11.5.1 firmware"
    - Revert "amdgpu: update SMU 14.0.3 firmware"
    - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x488C_DB55
    - rtw89: 8852b: update fw to v0.29.29.15
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarIGfP core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel BlazarU-HrPGfP core
    - Update firmware file for Intel Scorpius core
    - update firmware for MT7920 WiFi device
    - update firmware for MT7922 WiFi device
    - update firmware for MT7925 WiFi device
    - xe: Update GUC to v70.54.0 for BMG, PTL
    - xe: Update GUC to v70.55.3 for BMG, PTL

 -- Ben Hutchings <benh@debian.org>  Wed, 04 Feb 2026 16:43:31 +0100

=== debian/control ===
Source: firmware-nonfree
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 13), rdfind
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-amd-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for AMD/ATI graphics and NPU chips
 This package contains the binary firmware for AMD/ATI graphics and NPU
 chips supported by the radeon, amdgpu, amdxdna and r128 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-atheros
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Qualcomm Atheros wireless cards
 This package contains the binary firmware for USB wireless network and
 Bluetooth cards supported by the ar5523, ath3k, ath6kl_sdio, ath6kl_usb,
 ath10k, ath11k, or wilc6210 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-bnx2
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom NetXtremeII
 This package contains the binary firmware for Broadcom NetXtremeII network
 adapters supported by the bnx2 driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-bnx2x
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom NetXtreme II 10Gb
 This package contains the binary firmware for Broadcom NetXtreme II 10Gb
 network adapters supported by the bnx2x driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-brcm80211
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom/Cypress 802.11 wireless cards
 This package contains the binary firmware for wireless network cards
 supported by the brcmsmac or brcmfmac driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-cavium
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Cavium Ethernet adapters
 This package contains the binary firmware for Cavium crypto and Ethernet
 adapters supported by the nitrox and liquidio drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-cirrus
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Cirrus Logic audio chips
 This package contains the binary firmware for Cirrus Logic audio chips
 like smart amplifiers, converters and DSPs.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Intel iGPUs and IPUs
 This package contains the binary firmware for Intel integrated GPUs and
 IPUs supported by the i915, intel-ipu6-isys, ipu3-imgu, mei-vsc-hw, and xe
 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-misc
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for miscellaneous Intel devices and chips
 This package contains the binary firmware for miscellaneous Intel devices
 and chips, which do not belong in the iwlwifi, ipw2x00, intel-graphics or
 intel-sound packages.  This includes for example Omni-Path,
 Ethernet/Network chips/devices, and QuickAssist Technology crypto
 accelerators.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-sound
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel sound DSPs
 This package contains the binary firmware for Intel SST sound DSPs
 supported by the snd-soc-sst-acpi or snd-intel-sst-acpi driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-ipw2x00
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 This package contains the binary firmware for Intel Pro Wireless 2100,
 2200 and 2915 cards supported by the ipw2100 and ipw2200 drivers.
 .
 This firmware is covered by the Intel Pro Wireless 2100 and 2200/2915
 License.  You must agree to the terms of this license before it is
 installed.

Package: firmware-ivtv
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for iTVC15-family MPEG codecs (ivtv and pvrusb2 drivers)
 This package contains the binary firmware for TV cards with Conexant
 iTVC15-family MPEG codecs, supported by the ivtv and pvrusb2 drivers.
 .
 This firmware is covered by the Hauppauge End-User Firmware License
 Agreement.  You must agree to the terms of this license before it is
 installed.
Homepage: https://web.archive.org/web/20150508162618/http://dl.ivtvdriver.org:80/ivtv/firmware/

Package: firmware-iwlwifi
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel Wireless cards
 This package contains the binary firmware for Intel Wireless cards
 supported by the iwl3945, iwl4965, and iwlwifi drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-libertas
Architecture: all
Provides: libertas-firmware
Depends: ${misc:Depends}
Recommends: firmware-marvell-prestera
Suggests: initramfs-tools
Replaces: libertas-firmware
Multi-Arch: foreign
Description: Binary firmware for Marvell wireless cards
 This package contains the binary firmware for wireless network cards with
 Marvell and NXP 88W8xxx chips supported by the libertas_cs, libertas_sdio,
 libertas_spi, libertas_tf_usb, mwifiex_pcie, mwifiex_sdio, mwifiex_usb,
 mwl8k and usb8xxx drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-linux
Architecture: all
Section: non-free-firmware/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free-firmware/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-marvell-prestera
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-libertas (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Marvell Prestera ASIC devices
 This package contains the binary firmware for Marvell Switchdev solution
 Prestera Ethernet switches.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-mediatek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for MediaTek and Ralink chips for networking, SoCs and media
 This package contains the binary firmware for MediaTek devices such as
 ethernet/Wi-Fi/Bluetooth chips, SoCs and other chips and devices made by
 MediaTek and Ralink.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-misc-nonfree
Architecture: all
Provides: firmware-adi, firmware-ralink
Depends: ${misc:Depends}
Recommends: firmware-nvidia-graphics, firmware-intel-graphics, firmware-intel-misc, firmware-mediatek
Suggests: initramfs-tools
Conflicts: firmware-ti-connectivity (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for various drivers in the Linux kernel
 This package contains the binary firmware for various drivers in the Linux
 kernel.  This is a collection of firmware blobs which are not individually
 large enough to warrant a standalone package.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-myricom
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Myri-10G Ethernet adapters
 This package contains the binary firmware for Myricom Myri-10G Ethernet
 adapters supported by the myri10ge driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-netronome
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Netronome network adapters
 This package contains the binary firmware for Netronome network adapters
 supported by the nfp driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-netxen
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for QLogic Intelligent Ethernet (3000 and 3100 Series)
 This package contains the binary firmware for QLogic (formerly NetXen)
 Intelligent network adapters supported by the netxen_nic and qlcnic
 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-nvidia-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Breaks: initramfs-tools (<< 0.142+deb12u1)
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Nvidia GPU chips
 This package contains the binary firmware for Nvidia graphics chips using
 the nouveau driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-qcom-media
Architecture: all
Section: non-free-firmware/oldlibs
Depends: firmware-qcom-soc, ${misc:Depends}
Multi-Arch: foreign
Description: Binary firmware for Qualcomm graphics/video (dummy package)
 This is a dummy transitional package.  It can be safely removed.

Package: firmware-qcom-soc
Architecture: all
Depends: ${misc:Depends}, firmware-qcom-dsp (>= 0~20251125-1~)
Recommends: firmware-atheros
Suggests: initramfs-tools
Replaces: firmware-qcom-media (<< 20200421-1~)
Breaks: firmware-qcom-media (<< 20200421-1~)
Multi-Arch: foreign
Description: Binary firmware for Qualcomm SoCs
 This package contains the binary firmware for Qualcomm Snapdragon SoCs.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-qlogic
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for QLogic HBAs
 This package contains the binary firmware for QLogic Infiniband, SCSI,
 Fibre Channel/FCoE adapters and Converged Network Adapters supported by
 the bfa, bna, ip_iband, qed, qla1280 and qla2xxx drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-realtek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-realtek-rtl8723cs-bt
Conflicts: firmware-realtek-rtl8723cs-bt
Multi-Arch: foreign
Description: Binary firmware for Realtek network and audio chips
